commit:     8835ca6b42ef36b0c068bd70001c108f0522d615
Author:     Brian Dolbec <dolsen <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 28 18:39:56 2017 +0000
Commit:     Brian Dolbec <dolsen <AT> gentoo <DOT> org>
CommitDate: Tue Mar 28 19:07:09 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8835ca6b

dev-python/xdis: Version bump

Package-Manager: Portage-2.3.5, Repoman-2.3.2_p30

 dev-python/xdis/Manifest                           |  1 +
 .../xdis-3.3.0-remove-pytest-runner-dep.patch      | 33 +++++++++++++++++
 dev-python/xdis/xdis-3.3.0.ebuild                  | 41 ++++++++++++++++++++++
 3 files changed, 75 insertions(+)

diff --git a/dev-python/xdis/Manifest b/dev-python/xdis/Manifest
index 6aea180d09e..934aff0fec8 100644
--- a/dev-python/xdis/Manifest
+++ b/dev-python/xdis/Manifest
@@ -1 +1,2 @@
 DIST xdis-3.2.4.tar.gz 127507 SHA256 
b311253b97a321ab45625089a729ccbf8bcb1319a8c4c0167b719f81c081543c SHA512 
6c9274e10f2a41ab4a173c8ae4462374fc7ab444a589ab572172550d0f5284906f7d9c9cf4a640f163f6012d17f40bc5e1c36e5963f8b6106a9c37e420027a97
 WHIRLPOOL 
5a0910f04e3d9ec70129d5d3b659fe06034e7a6298692d2a776f2616a8b895a539efa7f96972b2adc6986c2475e697552ea071d33bdd22c60bb1e0fec1950dd4
+DIST xdis-3.3.0.tar.gz 146531 SHA256 
32eeb690e9376ad404c1fb18c1f87a09345f9beca31cee1ea8f21dd0f0dcaa07 SHA512 
ebd7656c04d5583243eae4442409bde910146f7c5f6b66d58933d4b62818345401523428a596f00cca31a9d6fcd2eea877da57ab3e796dc04c92842456454b3c
 WHIRLPOOL 
784c88d905d47d22a0d0ffb0206f57250f535abce9df6b02be16492c47ffe199ebf5f900eb3199e0be2b89a1d96f951971de5ba8ae33be57013870c1e25f828f

diff --git a/dev-python/xdis/files/xdis-3.3.0-remove-pytest-runner-dep.patch 
b/dev-python/xdis/files/xdis-3.3.0-remove-pytest-runner-dep.patch
new file mode 100644
index 00000000000..a412e515b81
--- /dev/null
+++ b/dev-python/xdis/files/xdis-3.3.0-remove-pytest-runner-dep.patch
@@ -0,0 +1,33 @@
+From aabea1b295308b227bbaf4acd36f058121984791 Mon Sep 17 00:00:00 2001
+From: Brian Dolbec <[email protected]>
+Date: Tue, 28 Mar 2017 11:20:00 -0700
+Subject: [PATCH] remove-pytest-runner dep
+
+---
+ setup.py | 3 +--
+ 1 file changed, 1 insertion(+), 2 deletions(-)
+
+diff --git a/setup.py b/setup.py
+index 138b769..5941951 100755
+--- a/setup.py
++++ b/setup.py
+@@ -5,7 +5,7 @@
+ from __pkginfo__ import \
+     author,           author_email,       \
+     license,          long_description,   classifiers,               \
+-    modname,          py_modules,         setup_requires,            \
++    modname,          py_modules,                     \
+     scripts,          short_desc,         tests_require,             \
+     VERSION,          web,                zip_safe
+ 
+@@ -20,7 +20,6 @@ setup(
+        name               = modname,
+        packages           = find_packages(),
+        py_modules         = py_modules,
+-       setup_requires     = setup_requires,
+        scripts            = scripts,
+        tests_require      = tests_require,
+        url                = web,
+-- 
+2.12.1
+

diff --git a/dev-python/xdis/xdis-3.3.0.ebuild 
b/dev-python/xdis/xdis-3.3.0.ebuild
new file mode 100644
index 00000000000..9885cf155d4
--- /dev/null
+++ b/dev-python/xdis/xdis-3.3.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy)
+
+inherit distutils-r1
+
+DESCRIPTION="Python cross-version byte-code disassembler and marshal routines"
+HOMEPAGE="https://github.com/rocky/python-xdis/ 
https://pypi.python.org/pypi/xdis";
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND=">=dev-python/six-1.10.0[${PYTHON_USEDEP}]"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               >=dev-python/nose-1.0[${PYTHON_USEDEP}]
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/pytest[${PYTHON_USEDEP}]
+       )
+"
+
+PATCHES=( "${FILESDIR}/xdis-test_magic_bytes_error.patch"
+       "${FILESDIR}/xdis-3.3.0-remove-pytest-runner-dep.patch"
+)
+
+python_test() {
+       # Need to rm any pyc files to prevent test failures.
+       rm -R "${S}"/test/__pycache__
+       PYTHONPATH="${S}/test:${S}/test_unit:${BUILD_DIR}/lib" \
+               py.test -v || die "Tests failed under ${EPYTHON}"
+       cd test
+       PYTHONPATH="${S}/test:${BUILD_DIR}/lib" \
+               ${EPYTHON} test_pyenvlib.py --verify --simple --compile || die \
+               "Tests failed under ${EPYTHON}"
+}

Reply via email to